Subject: Solved
From: [email-masked]
To: [email-masked]
Date: Sat, 05 Nov 2022 20:14:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix, it turns out that after checking all my 'build-self.scm' in 
my /gnu/store was corrupted with 0's, I just tried the most direct 
approach, remounting /gnu/store as 'rw' and copying the original file 
from savannah, so it just worked, 'guix pull' it working again and after 
I pulled all went fine again.

Thanks you all.